Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have opened this thread because I upgraded to ubuntu 12.10 beta (kernel 3.5) and I have a problem with VMware Workstation 9:

Unable to change virtual machine power state: Cannot find a valid peer process to connect to

Does anyone have the same problem?

This is a clean install of Ubuntu 12.10 (daily build). I installed VMware 9 and patched but it's not working. I can't patch correctly and get the things to build correctly.

My laptop is a Lenovo T420 with Nvidia Optimus Technology.

This message is shown when I try to apply the patch:

Stopping VMware services:
VMware Authentication Daemon done
At least one instance of VMware VMX is still running.
Please stop all running instances of VMware VMX first.
VMware Authentication Daemon done
Unable to stop services

How can I stop the VMware services to apply the patch? This message is shown when I try to patch again:

./patch-modules_3.5.0.sh
/usr/lib/vmware/modules/source/.patched found. You have already patched your sources. Exiting

But VMware is not working, and I can’t uninstall.

share|improve this question
    
The above solutions do not work, the patch is not available anywhere. The link lead to a patch that cannot be extracted, ERROR EXTRACTING FILES... Doe –  pst007x Nov 17 '12 at 21:49

5 Answers 5

The main reason for Causing this problem is python 3 version. Ubuntu 12.10 has latest python 3 but VMware work station build requires python 2 for running. This is common Bug as also mentioned in ubuntu 12.10 Bugs. Wait till it be fixed.

share|improve this answer
    
some ppl ha made it work while using chrooting and applying the patch i will try as soon i have time, there are some work around in blogs –  Alessandro Belloni Oct 24 '12 at 7:40

I had this same issue, here is what worked for me:

I downloaded the patch from here: http://communities.vmware.com/message/2103172#2103172

When I attempted to apply it I got the same error as you posted in your question.

I then open up system monitor and ended the vmware-tray (end all vmware* processes) process and I followed the instructions here given here (repeated below): http://jgiffard.wordpress.com/2012/10/22/vmware-9-workstation-on-ubuntu-12-10/

sudo rm /lib/modules/$(uname -r)/misc/vm*

then re-run the patch

sudo ./patch-modules_3.5.0.sh

After that I rebooted my laptop and workstation worked once it booted.

share|improve this answer
    
I had to modify the .sh file in the patch a little, but otherwise it worked as a charm. –  Eugene Lazutkin Nov 7 '12 at 23:18

I had the same problem where the VMWare installer wants headers. Currently, I have Ubuntu 12.10 working.

Here is what was done:
Was running Ubuntu 11.04 and decided to try out 12.10. Backed up everything to external hard drive with rsync using my /root/daily.sh. My daily.sh just does a nightly rsnapshot of all my important file systems (I never ever create just a / and /boot like some do, instead I manually create all file systems or slices or partitions, however you like to call them).

Destroyed RAID-10 and created new RAID-5 (need more space and don't mind a bit of a slowdown)

Installed Ubuntu 12.10 X64 and of course, clicked the radio button to install it customized which is the bottom radio button iirc.

After install completed, rsync -az /bkup/daily.0/data/vmware /data/vmware/ (put back all my VMWare related files and DIRs)

(fixed desktop to look/feel like 11.04)

sudo su

apt-get install gnome-panel

After that, logout, login but change to use gnome (no effects)

Now to get VMWare working:

Become root sudo su

   # apt-get install build-essential linux-headers-`uname -r`

   # sh /path/to/vmware/VMware-Workstation-Full-9.0.1-894247.x86_64.bundle

Once it installs, go to Applications -> System Tools -> VMware Workstation

Enter the serial number

Start your windows 7 or 8 (assuming you want to run windows) .vmx (I use a fairly large partition to keep all vmware stuff.

Have a nice day.

share|improve this answer

I have just downloaded the version 9.0.1.

The problem is solved for me in this latest version. Try installing it!

share|improve this answer

Since 9.0.1 is out you can uninstall 9.0.0 and install that.

If you have problems uninstalling 9.0.0 or previous versions

reboot in single user mode by pressing e at the grub loader and adding single at the end of the kernel line. Then press F10

You should get a root prompt where you can run the uninstall command:

vmware-installer --uninstall-product vmware-workstation

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.